Subject: Re: [Bitcoin-development] DNS seeds unstable

From: Alex Kotenko <[email-masked]>
Date: Mon, 19 May 2014 21:38:45 +0100

Well, it's possible theoretically, but will need another piece of custom
software that will understand DNS protocol and proxy it correctly based on
actual incoming DNS queries.
On 19 May 2014 21:22, "Michael Wozniak" <[email-masked]> wrote:

> I’m not familiar with how the daemon works, however could you set up two
> daemons listening local on different ports and with a separate daemon or
> normal dns server that proxies incoming queries to either domain? I don’t
> know if standard DNS servers would support that, or if you would need a
> custom proxy application.
>
> -
> Michael Wozniak
>
>
> On May 19, 2014, at 4:14 PM, Alex Kotenko <[email-masked]> wrote:
>
> > Hmm, I've mostly setup what's promised, testing DNS seeds now. There is
> one problem I see that I can't really solve myself.
> > This dnsseed daemon cannot serve more than one name at once, which means
> that I cannot serve testnet and mainnet seeds off one daemon instance which
> means I need to buy two IP addresses for it. That's unfortunate as it needs
> much more spendings from me to operate, second IP address will cost nearly
> as much as the server itself.
> >
> > ​Can anybody help with this? I cannot into C++ to fix that myself.   ​
> >
> >
> > Best regards,
> > Alex Kotenko
> >
> >
> > 2014-05-17 13:39 GMT+01:00 Andreas Schildbach <[email-masked]>:
> > On 05/17/2014 02:02 PM, Alex Kotenko wrote:
> >
> > > So, my understanding is that atm we have no working DNS seeds at the
> > > testnet3, right? There are two DNS seeds known, of which one is
> > > unreachable atm, and another one is giving just one IP address, which
> is
> > > also a dead node.
> >
> > Yes, that's my understanding too.
> >
> > > If I'll start a DNS seed of my own and make sure it works well, will
> > > this help?
> >
> > Yes, definately.
> >
> > > I've found this DNS seeder daemon
> > > <https://github.com/sipa/bitcoin-seeder>, and it seems to be exactly
> > > what I need to run a DNS seeder myself.
> >
> > Afaik this is what most of the other seeds are using, yes.
> >
> > > So if my understanding is correct, I'll setup a DNS seeds for mainnet
> > > and for testnet at bitcoin-seed.alexykot.me
> > > <http://bitcoin-seed.alexykot.me> and testnet-seed.alexykot.me
> > > <http://testnet-seed.alexykot.me>, and also a well connected nodes for
> > > mainnet and testnet on the same server.
> > > Is this a good plan? Will this all help?
> >
> > Sound great! Let me know if you've got something to test.
> >
> >
> >
> >
> ------------------------------------------------------------------------------
> > "Accelerate Dev Cycles with Automated Cross-Browser Testing - For FREE
> > Instantly run your Selenium tests across 300+ browser/OS combos.
> > Get unparalleled scalability from the best Selenium testing platform
> available
> > Simple to use. Nothing to install. Get started now for free."
> > http://p.sf.net/sfu/SauceLabs
> > _______________________________________________
> > Bitcoin-development mailing list
> > [email-masked]
> > https://lists.sourceforge.net/lists/listinfo/bitcoin-development
> >
> >
> ------------------------------------------------------------------------------
> > "Accelerate Dev Cycles with Automated Cross-Browser Testing - For FREE
> > Instantly run your Selenium tests across 300+ browser/OS combos.
> > Get unparalleled scalability from the best Selenium testing platform
> available
> > Simple to use. Nothing to install. Get started now for free."
> >
> http://p.sf.net/sfu/SauceLabs_______________________________________________
> > Bitcoin-development mailing list
> > [email-masked]
> > https://lists.sourceforge.net/lists/listinfo/bitcoin-development
>
>